osgText::Style Class Reference

`#include <Style>`

Inheritance diagram for osgText::Style:

## Public Member Functions

| Style ()
| Style (const Style &style, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgText, Style)
bool | operator== (const Style &style) const
void | setBevel (Bevel *bevel)
| NULL is no bevel.
const Bevel * | getBevel () const
void | setWidthRatio (float widthRatio)
| 1 is the default width of the text
float | getWidthRatio () const
void | setThicknessRatio (float thicknessRatio)
| 0 is 2D text
float | getThicknessRatio () const
void | setOutlineRatio (float outlineRatio)
| 0 is off
float | getOutlineRatio () const
void | setSampleDensity (float sd)
| 1.0 is default number of samples
float | getSampleDensity () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Static Public Member Functions

static osg::ref_ptr< Style > & | getDefaultStyle ()
| default Layout implementation used if no other is specified on TextNode
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Protected Attributes

osg::ref_ptr< Bevel > | _bevel
float | _widthRatio
float | _thicknessRatio
float | _outlineRatio
float | _sampleDensity
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## Style() [1/2]

osgText::Style::Style | ( |  | ) |

Referenced by META_Object(), operator==(), and Style().

## Style() [2/2]

osgText::Style::Style | ( | const Style & | style,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osg::CopyOp::SHALLOW_COPY, and Style().

## Member Function Documentation

## getBevel()

const Bevel * osgText::Style::getBevel | ( |  | ) | const

inline

References _bevel.

## getDefaultStyle()

osg::ref_ptr< Style > & osgText::Style::getDefaultStyle | ( |  | ) |

static

default Layout implementation used if no other is specified on TextNode

## getOutlineRatio()

float osgText::Style::getOutlineRatio | ( |  | ) | const

inline

References _outlineRatio.

## getSampleDensity()

float osgText::Style::getSampleDensity | ( |  | ) | const

inline

References _sampleDensity.

## getThicknessRatio()

float osgText::Style::getThicknessRatio | ( |  | ) | const

inline

References _thicknessRatio.

## getWidthRatio()

float osgText::Style::getWidthRatio | ( |  | ) | const

inline

References _widthRatio.

## META_Object()

osgText::Style::META_Object | ( | osgText | ,
|  | Style | )

References Style().

## operator==()

bool osgText::Style::operator== | ( | const Style & | style | ) | const

References Style().

## setBevel()

void osgText::Style::setBevel | ( | Bevel * | bevel | ) |

inline

NULL is no bevel.

References _bevel.

## setOutlineRatio()

void osgText::Style::setOutlineRatio | ( | float | outlineRatio | ) |

inline

0 is off

References _outlineRatio.

## setSampleDensity()

void osgText::Style::setSampleDensity | ( | float | sd | ) |

inline

1.0 is default number of samples

References _sampleDensity.

## setThicknessRatio()

void osgText::Style::setThicknessRatio | ( | float | thicknessRatio | ) |

inline

0 is 2D text

References _thicknessRatio.

## setWidthRatio()

void osgText::Style::setWidthRatio | ( | float | widthRatio | ) |

inline

1 is the default width of the text

References _widthRatio.

## Member Data Documentation

## _bevel

osg::ref_ptr<Bevel> osgText::Style::_bevel

protected

Referenced by getBevel(), and setBevel().

## _outlineRatio

float osgText::Style::_outlineRatio

protected

Referenced by getOutlineRatio(), and setOutlineRatio().

## _sampleDensity

float osgText::Style::_sampleDensity

protected

Referenced by getSampleDensity(), and setSampleDensity().

## _thicknessRatio

float osgText::Style::_thicknessRatio

protected

Referenced by getThicknessRatio(), and setThicknessRatio().

## _widthRatio

float osgText::Style::_widthRatio

protected

Referenced by getWidthRatio(), and setWidthRatio().

The documentation for this class was generated from the following file:

- osgText/Style